use `ombutel`

create table `ombu_cloudphone_devices` (
	`device_id` int unsigned not null,
	`codecs` varchar(255) collate utf8_unicode_ci default NULL,
	`dtmfmode` enum('rfc2833','info','shortinfo','inband','auto') collate utf8_unicode_ci default 'rfc2833',
	`nat` enum('no','force_rport','comedia','auto_force_rport','auto_comedia','force_rport,comedia') collate utf8_unicode_ci not null,
	`deny` varchar(255) collate utf8_unicode_ci default '0.0.0.0/0',
	`permit` varchar(255) collate utf8_unicode_ci default '0.0.0.0/0',
	`user` varchar(255) collate utf8_unicode_ci default null,
	`secret` varchar(255) collate utf8_unicode_ci default null,
	key `device_id` (`device_id`),
	unique key `user` (`user`),
	foreign key (`device_id`) references `ombu_devices` (`device_id`) on delete cascade
);
