(function () {
	// Menu customization is a pain
	var right_menu = $("#module-menu-items");
	if (!right_menu.prop("has_restore_handler")) {
		right_menu.on("click", "a[data-restore]", function() {
			pbx_request("backup_and_restore", "getContent", "restore", $(this).data("restore")).done(function() {
				$("a[href=#backup_and_restorerestore]").tab("show");
			});
		});
		right_menu.prop("has_restore_handler", true);
	}
	// Button customization is a pain
	var update_buttons = function() {
		var form = $("form#backup_and_restore_form");
		var which = form.find(".pbx_module_tabs li.active a").attr("href");
		if (which.endsWith("backup")) {
			form.find("a.frmactions-download").hide();
			form.find("button.frmactions-backup").show();
			form.find("button.frmactions-restore").hide();
			form.find("button.frmactions-cancel").hide();
			form.find("button.frmactions-delete").hide();
		} else if (which.endsWith("restore")) {
			form.find("a.frmactions-download").show();
			form.find("button.frmactions-backup").hide();
			form.find("button.frmactions-restore").show();
			if (form.find("input[name=restore_file]").length) {
				form.find("button.frmactions-cancel").hide();
				form.find("button.frmactions-delete").hide();
			} else {
				form.find("button.frmactions-cancel").show();
				form.find("button.frmactions-delete").show();
			}
		}
	}
	$("form#backup_and_restore_form").on("click", ".pbx_module_tabs a[data-toggle=tab]", update_buttons);
	update_buttons();
	// Form customization is a pain... starting to see a pattern
	$("form#backup_and_restore_form button.frmactions-backup").click(function() {
		var form = $("form#backup_and_restore_form");
		var elements = form.find("[name=restore_file], [name=hash]").attr("disabled", "disabled");
		form.submit();
		elements.removeAttr("disabled");
	});

	function do_restore() {
		var form = $("form#backup_and_restore_form");
		var elements = form.find("[name=comment]").attr("disabled", "disabled");
		form.submit();
		elements.removeAttr("disabled");
	};

	$("form#backup_and_restore_form button.frmactions-delete").click(function() {
		var hash = $("form#backup_and_restore_form [name=hash]").val();
		if (confirm($(this).data("msg"))) {
			pbx_request("backup_and_restore", "delete", "delete", hash);
		}
	});

	$(document).on('click', '#restore_modal', function() {
		$('#modal-confirm-restore').hide();
		$('.modal-backdrop').hide();
	});

	var upload_field = $("form#backup_and_restore_form input[name='restore_file']");
	var restore_button = $("form#backup_and_restore_form button.frmactions-restore");
	if (upload_field.length > 0) {
		restore_button.on("click", function() {
			if (upload_field.val() != "") {
				BootstrapDialog.show({
					type: BootstrapDialog.TYPE_WARNING,
					title: restore_backup_dialog.title,
					message: restore_backup_dialog.message,
					buttons: [{
						label: restore_backup_dialog.confirm,
						cssClass: 'btn-warning',
						action: function(dialogItself) {
							dialogItself.close();
							do_restore();
						}
					}, {
						label: restore_backup_dialog.cancel,
						cssClass: 'btn-primary',
						action: function(dialogItself) {
							dialogItself.close();
						}
					}]
				});
				return false;
			}
		});
	} else {
		restore_button.on("click", do_restore);
	}
})();
