-- Rename Htek/Xorcom UC902P/UC902 to UC902P/S / UC902/S as they share same configuration file...for now
use `ombutel`;

select `brand_id` from `xepm_brands` where `name` = 'htek' into @brand_id_htek;
select `brand_id` from `xepm_brands` where `name` = 'xorcom' into @brand_id_xorcom;

select `model_id` from `xepm_models` where `brand_id` = @brand_id_htek and `name` = 'UC902P' into @model_id_199;
select `model_id` from `xepm_models` where `brand_id` = @brand_id_xorcom and `name` = 'UC902' into @model_id_214;

update `xepm_models` set `name` = concat(`name`,'/S') where `model_id` = @model_id_199 and `name` = 'UC902P';
update `xepm_models` set `name` = concat(`name`,'/S') where `model_id` = @model_id_214 and `name` = 'UC902';

select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_id_199 into @configuration_type_id_208;
select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_id_214 into @configuration_type_id_223;

update `xepm_templates` set `name` = replace(`name`, 'UC902P', 'UC902P/S') where `configuration_type_id` = @configuration_type_id_208 and `name` not like 'UC902P/S';
update `xepm_templates` set `name` = replace(`name`, 'UC902', 'UC902/S') where `configuration_type_id` = @configuration_type_id_223 and `name` not like 'UC902/S';
