create table if not exists `asterisk`.`cel` (
  `id` int unsigned not null auto_increment primary key,
  `eventtype` varchar(30),
  `eventtime` datetime not null,
  `cid_name` varchar(80) not null,
  `cid_num` varchar(80) not null,
  `cid_ani` varchar(80) not null,
  `cid_rdnis` varchar(80) not null,
  `cid_dnid` varchar(80) not null,
  `exten` varchar(80) not null,
  `context` varchar(80) not null,
  `channame` varchar(80) not null,
  `appname` varchar(80) not null,
  `appdata` varchar(80) not null,
  `amaflags` int(11) not null,
  `uniqueid` varchar(32) not null,
  `linkedid` varchar(32) not null,
  `peer` varchar(80) not null,
  `eventextra` varchar(255) not null,
  `userfield` varchar(255) not null,
  `accountcode` varchar(20) not null,
  `peeraccountcode` varchar(30) not null,
  `traite` tinyint(1) not null default 0,
  index(`uniqueid`),
  index(`linkedid`),
  index(`traite`)
) CHARSET=utf8 COLLATE=utf8_unicode_ci;

insert into `ombutel`.`ombu_scheduled_tasks` (
	`description`,
	`script`,
	`parameters`,
	`starting`,
	`interval`,
	`interval_unit`,
	`enabled`
) values
	('Delete CDR records', 'prune_cdr', '--months 3', now(), 1, 'day', 'no'),
	('Delete CEL records', 'prune_cel', '--months 3', now(), 1, 'day', 'no');
