(function () {
	$('#fax_settingsgeneral button.preview_coversheet').on('click', function() {
		$.ajax({
			type: "POST",
			dataType: 'json',
			data: { class: 'fax_settings', method: 'is_coversheet_exist', mode: 'edit', data: '0'},
			success: function (Response) {
				if(Response.state == 'error') {
					processServerResponse(Response);
					delegatePBX();
				} else {
					window.open('/modules/fax/preview_coversheet');
				}
			}
		});
	});

	$('#fax_settingsemailSettings textarea#email_subject, \
		#fax_settingsemailSettings textarea#email_body').keyup(
	function() {
		this.style.height = "";
		this.style.height = this.scrollHeight + 3 + "px";
	});

	set_textarea_size();

	function set_textarea_size() {
		var email_subject = $('#fax_settingsemailSettings textarea#email_subject');
		var email_body = $('#fax_settingsemailSettings textarea#email_body');

		$(email_subject).attr('rows', email_subject.val().split(/\r*\n/).length ? 5 : email_subject.val().split(/\r*\n/).length + 1);
		$(email_body).attr('rows', email_body.val().split(/\r*\n/).length ? 5 : email_body.val().split(/\r*\n/).length + 1);
	}

	var update_buttons = function() {
		var form = $("form#fax_settings_form");
		var which = form.find(".pbx_module_tabs li.active a").attr("href");
		console.log(which);
		if (which.endsWith("emailSettings")) {
			form.find("a.coversheet_template").hide();
		} else {
			form.find("a.coversheet_template").show();
		}
	}

	$("form#fax_settings_form").on("click", ".pbx_module_tabs a[data-toggle=tab]", update_buttons);
	update_buttons();
})();
